// JScript File

//滚动鼠标缩放图片
function bbimg(o){ 
var zoom=parseInt(o.style.zoom, 10)||100;
zoom+=event.wheelDelta/12;
if (zoom>0) 
o.style.zoom=zoom+"%"; 
return false; 

}

//弹出预览窗口

var dragapproved=false
var minrestore=0 //该变量表示窗口目前的状态，0表示初始化状态，1表示最大化状态
var initialwidth,initialheight
//若Client浏览器为IE5.0以上版本的
var ie5=document.all&&document.getElementById
//若Client浏览器为NetsCape6。0版本以上的
var ns6=document.getElementById&&!document.all

function iecompattest(){
return (!window.opera && document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function drag_drop(e){
if (ie5&&dragapproved&&event.button==1){
document.getElementById("dwindow").style.left=tempx+event.clientX-offsetx+"px"
document.getElementById("dwindow").style.top=tempy+event.clientY-offsety+"px"
}
else if (ns6&&dragapproved){
document.getElementById("dwindow").style.left=tempx+e.clientX-offsetx+"px"
document.getElementById("dwindow").style.top=tempy+e.clientY-offsety+"px"
}
}

function initializedrag(e){
offsetx=ie5? event.clientX : e.clientX
offsety=ie5? event.clientY : e.clientY
//document.getElementById("dwindowcontent").style.display="none" //此句代码可不要
tempx=parseInt(document.getElementById("dwindow").style.left)
tempy=parseInt(document.getElementById("dwindow").style.top)

dragapproved=true
document.getElementById("dwindow").onmousemove=drag_drop
}

function loadwindow(url,width,height, top){
if (!ie5&&!ns6) //若不为IE或Netscpae浏览器，则使用一般的Window.open进行弹出窗口处理
window.open(url,"","width=width,height=height,scrollbars=1")
else{

winheight = height // iecompattest().clientHeight;
winwidth = ns6? window.innerWidth: iecompattest().clientWidth
border = 30

document.getElementById("dwindow").style.display=''
document.getElementById("dwindow").style.width=initialwidth=winwidth - border * 2 +"px"
document.getElementById("dwindow").style.height=initialheight=winheight +"px"
document.getElementById("dwindow").style.left= border
document.getElementById("dwindow").style.top = top
document.getElementById("cframe").src=url

document.getElementById("dwindowcontent").style.height = winheight - 25 + "px"
document.getElementById("dwindowtitle").style.height = 25 + "px"


//document.getElementById("dwindow").style.display=''
//document.getElementById("dwindow").style.width=initialwidth=width+"px"
//document.getElementById("dwindow").style.height=initialheight=height+"px"
//document.getElementById("dwindow").style.left= ns6?  (window.innerWidth-20-width)/2 + "px" : (iecompattest().clientWidth-width)/2 + "px" ; //window.screen.width/3;
//document.getElementById("dwindow").style.top=ns6? window.pageYOffset*1+40+"px" : iecompattest().scrollTop*1+30+"px"
//document.getElementById("cframe").src=url
}
}

function maximize(){
if (minrestore==0){
minrestore=1 //maximize window
document.getElementById("maxname").setAttribute("src","restore.gif")
document.getElementById("dwindow").style.width=ns6? window.innerWidth-20+"px" : iecompattest().clientWidth+"px"
document.getElementById("dwindow").style.height=ns6? window.innerHeight-20+"px" : iecompattest().clientHeight+"px"
}
else{
minrestore=0 //restore window
document.getElementById("maxname").setAttribute("src","max.gif")
document.getElementById("dwindow").style.width=initialwidth
document.getElementById("dwindow").style.height=initialheight
}
document.getElementById("dwindow").style.left=ns6? window.pageXOffset+"px" : iecompattest().scrollLeft+"px"
document.getElementById("dwindow").style.top=ns6? window.pageYOffset+"px" : iecompattest().scrollTop+"px"
}

function closeit(){
document.getElementById("dwindow").style.display="none"

}

function stopdrag(){
dragapproved=false;
document.getElementById("dwindow").onmousemove=null;
document.getElementById("dwindowcontent").style.display="" //extra
}

// 显示或隐藏对象
//
function show_hide(showHideDivID, operationDivID)
{
    try{
        var ctrl = document.getElementById(showHideDivID);
        var opdiv = document.getElementById(operationDivID);
        
        if (ctrl.style.display == "")
        {
            ctrl.style.display = "none";
            opdiv.className = "collapsed_node";
        }else
        {
            ctrl.style.display = "";
            opdiv.className = "expanded_node";
        }
    }catch(Error)
    {
    }
}



// 显示或隐藏对象
//

var showingCtrl = '';
var bOnWin; 
function show_hide_fieldValue(controlId)
{
    //try{
        var ctrl = document.getElementById(controlId);
        
        //alert(ctrl.style.offsetWidth);
        //获得鼠标当前X,Y坐标
         var x,y;
        if(!document.all)
        {
            x=pageX;
            y=pageY;
        }else{
            x=document.body.scrollLeft+event.clientX; //鼠标X轴的值
            y=document.body.scrollTop+event.clientY; //鼠标Y轴的值
         }
        //window.scrollTo(100,500);//竖向滚动条位置

        var sH = document.body.scrollHeight; //窗口的高度
        var sW = document.body.scrollWidth; //窗口的宽度

        var width=500; //设置div的大小
        
        //alert("x=" + x + ";sW=" + sW);

        if((x + width) >= sW) //当鼠标点击时的x坐标的值加上div的宽度大于窗口的宽度
         {
        x = sW - width-30;
        }
        var left=x , top=y ; //设置div的位置
        
        ctrl.style.position = "absolute";
        ctrl.style.left = left;
        ctrl.style.width = width;
        
        ctrl.onmouseover = function() {bOnWin = 1;}
        ctrl.onmouseout = function() {bOnWin = null;}
        //ctrl.style.y = top;
    
        

        
        if (ctrl.style.display == "")
        {
            ctrl.style.display = "none";
        }else
        {
            ctrl.style.display = "";
            showingCtrl = controlId;
        }    
}

document.documentElement.onmousedown= function() {
    try{
        
        if (showingCtrl != '')
        {
        //alert(showingCtrl);
            var ctrl = document.getElementById(showingCtrl);
            if (bOnWin == null)
            {
                ctrl.style.display = "none";
                }else{
                    //alert(bOnWin);
                }
        }
    }
    catch(Error)
    {
    }
}